Subject: Re: [PATCH v2 1/3] init/main.c: Give init_task a canary

From: Chuck Ebbert <[email-masked]>
Date: Thu, 11 Sep 2014 07:23:45 -0500

On Wed, 10 Sep 2014 14:29:33 +0100
Aaron Tomlin <[email-masked]> wrote:

> On Wed, Sep 10, 2014 at 02:26:54AM -0500, Chuck Ebbert wrote:
> > And has this been tested on parisc and metag, which use STACK_GROWSUP ?
> > I can't see how end_of_stack() as it's defined now could work on those archs.
> 
> AFAIU, dup_task_struct() has always done this explicitly.
> I see no reason why init_task requires special attention.
> 

I guess what I'm saying is, I can't see how the stack canary could have ever
detected any problems on parisc and metag. How did you test your patches on x86?
Maybe someone could run tests on those other archs.